test:
  variables:
    PROFILE_FILE: times.txt
  before_script:
    - apt update && apt install -y time
    - touch "$PROFILE_FILE"
  script:
    - |
      profile() {
        local cmd="$@"
        echo -e "\n$cmd" >> "$PROFILE_FILE"; /usr/bin/time -o "$PROFILE_FILE" -a $cmd
      }
    - profile sleep 2
    - profile find / > /dev/null
  artifacts:
    paths:
      - $PROFILE_FILE

